<Manage::FieldContainer @title={{@title}} @isDisabled={{@disabled}} @isSaveDisabled={{@disabled}} class='container-group-geometry'
  @editablePanel={{@editablePanel}} @onEdit={{@onEdit}} @onSave={{this.save}} @onCancel={{this.cancel}} @help={{@help}} ...attributes>
  <:view>
    <Input::Map::Area @baseMaps={{@baseMaps}} @value={{this.value}} @mode={{this.editMode}} @disabled={{true}}
      @onChange={{this.change}} />
  </:view>

  <:edit>
    <div class='row'>
      <div class='col-sm'>
        <div class='btn-group'>
          <button type='button' class='btn
              {{if
                (eq this.editMode "box")
                "btn-secondary"
                "btn-outline-secondary"
              }}' {{on 'click' (fn this.changeEditMode 'box')}}>
            {{capitalize (t 'rectangle')}}
          </button>
          <button type='button' class='btn
              {{if
                (eq this.editMode "free")
                "btn-secondary"
                "btn-outline-secondary"
              }}' {{on 'click' (fn this.changeEditMode 'free')}}>
            {{capitalize (t 'custom geometry')}}
          </button>
        </div>
      </div>
    </div>

    <Input::Map::Area @baseMaps={{@baseMaps}} @value={{this.value}} @mode={{this.editMode}} @onChange={{this.change}} />
  </:edit>

</Manage::FieldContainer>